Bug 850875 - repo units errors out for errata search
repo units errors out for errata search
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 850905
  Show dependency treegraph
 
Reported: 2012-08-22 11:33 EDT by Preethi Thomas
Modified: 2013-09-09 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 850905 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:07:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-22 11:33:12 EDT
Description of problem:
repo units search on errata seems to be erroring out

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a repo
2. create an errata in the repo
3. run repo units errata on the repo
  
Actual results:

[root@pulp-candidate scripts]# pulp-admin repo units errata --repo-id errata_demo --erratum-id DEMO_ID_1345649112
An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.

Expected results:


Additional info:

2012-08-22 11:30:38,123 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/core.py", line 475, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 891, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 184, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/pulp/admin/extensions/rpm_units_search/pulp_cli.py", line 221, in run
    self.details(**kwargs)
  File "/usr/lib/pulp/admin/extensions/rpm_units_search/pulp_cli.py", line 267, in details
    errata = self.context.server.repo_unit_search.search(repo_id, criteria).response_body
AttributeError: 'Bindings' object has no attribute 'repo_unit_search'
Comment 1 Jeff Ortel 2012-09-06 10:25:36 EDT
Merged.
Comment 2 Jeff Ortel 2012-09-07 13:45:15 EDT
build: 2.0.3.
Comment 3 Preethi Thomas 2012-09-07 14:27:42 EDT
[root@preethi-el6-pulp ~]# rpm -qa pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin repo units errata --repo-id errata_demo
+----------------------------------------------------------------------+
                           Repository Errata
+----------------------------------------------------------------------+

Id:          DEMO_2_ID_1346806747
Summary:     
Severity:    
Type:        enhancement
Description: This is the description for DEMO_2_ID_1346806747
Title:       Demo Errata created on Tue Sep  4 20:59:07 EDT 2012
Comment 4 Preethi Thomas 2013-01-09 12:07:26 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.